/* waveGen: a simple wave form generator
 * Implements sine and rectangular wave forms. Wave type is selected by 
 * a command line argument 
 * copyright U. Raich 2017
 * This program is part of the workshop on embedded systems held at 
 * the University of Cape Coast in the winter semester 2017
 * It has been released under the GNU General Public License
 * see gnu.org/licenses/gpl.html
 */

#include <stdio.h>

int main(int argc, char ** argv) {
  if (argc != 2) {
    printf("Usage: %s wave form\n",argv[0]);
    printf("where wave form is \"sine\" or \"rect\"\n");
    return (-1);
  }
  else
    printf("cmdLineCount: No of args is correct!\n");
}
