/* genWave: generates the wave form into a short array
 * Implements sine and rectangular wave forms which is selected by an argument
 * to the function
 * copyright U. Raich 2017
 * This program is part of the workshop on embedded systems held at 
 * the University of Cape Coast in the winter semester 2017
 * It has been released under the GNU General Public License
 * see gnu.org/licenses/gpl.html
 */
#include <stdio.h>
#include "genWave.h"

unsigned short wave[WAVE_FORM_LENGTH];
unsigned short *genWave(enum waveType wt) {
  if (wt==rect) 
    printf("genWave: You do it!\n");
  else if (wt==sine)
    printf("genWave: I do it!\n");
  return(NULL);
}
