/*
 * sendToHWTest.c a test program for the sendToHW functions
 * copyright U. Raich 2017
 * This program is part of the workshop on embedded systems held at 
 * the University of Cape Coast in the winter semester 2017
 * It has been released under the GNU General Public License
 * see gnu.org/licenses/gpl.html
 */

#include <stdio.h>
#include "sendToHW.h"

int main() {
  unsigned char dacByte = 0x5;
  unsigned char reg = 2;
  printf("------------ first test of strobe function -------------------\n");
  dacByte = dacByte | reg << DAC_RS_BIT | 1 << DAC_RW_BIT;
  printf("sendToHWTest: dacByte: 0x%02x\n",dacByte);
  strobe(dacByte);
  printf("------------ then test of sendOneValue function ---------------\n");
  unsigned short dacValue=0x5ae;
  printf("sendToHWTest: the DAC value to be sent to the hardware: 0x%02x\n",
	 dacValue);
  sendOneValue(dacValue);
}
